Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 121302 - Gedit always prints a blank page after printing the document
Gedit always prints a blank page after printing the document
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libgnomeprint22 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 05:04 EDT by Julien Olivier
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 05:12:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julien Olivier 2004-04-20 05:04:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Each time I print a document using gedit, it is printed correctly
apart from the fact that an additional blank page is always printed.

For example, if I print a 4 page document, I get 4 pages full of text
(the actuall document) and a fifth blank page.

Version-Release number of selected component (if applicable):
gedit-2.6.0-4

How reproducible:
Always

Steps to Reproduce:
1.Print a document in gedit
    

Actual Results:  The document is printed correctly, but an additional
blank page is "printed".

Expected Results:  Well, the additional blank page shouldn't be printed.

Additional info:

It's from Fedora Core 2 test2
Comment 1 FAHAD ALSHEHAB 2004-05-26 19:53:29 EDT
The error (if there was an error actually) would not be from gedit, 
but rather from the internal routines it used to print the document. 
e.g GTK+. I think Fedora uses CUPS as a printing daemon, try to 
locate the log files it generates (maybe in /var/spool/ ?). 
Comment 2 John 2004-08-24 22:51:01 EDT
Works for me. I printed a two page document with gedit, and two pages
came out. It used CUPS to print to a Samsung printer shared with Win
XP over samba.

Gedit 2.6 and Fedora Core 2.
Comment 3 Marco Pesenti Gritti 2004-10-15 08:22:33 EDT
Is the blank page shown in print preview? Do you have the same issue with other
apps (for example gpdf)?
Comment 4 Julien Olivier 2004-10-15 13:08:57 EDT
No, the blank page doesn't appear in the print preview, and doesn't appear if I
print to a PDF file either.

And from other apps I don't have this problem (I tried with xpdf, OOO, mozilla
and gimp among others).
Comment 5 Marco Pesenti Gritti 2004-11-08 13:30:33 EST
Can you try with another app using libgnomeprint ? Gpdf for example
Comment 6 Marco Pesenti Gritti 2004-11-08 13:32:15 EST
Actually better evolution or gnumeric, gpdf is sort of special.
Comment 7 Julien Olivier 2004-11-08 13:43:01 EST
I have the same problem with both Evolution and Gnumeric.

So I guess gnome-print is the culprit...
Comment 8 Marco Pesenti Gritti 2004-11-08 13:46:07 EST
Reassigning then
Comment 9 Marco Pesenti Gritti 2004-11-08 13:46:25 EST
Reassigning then
Comment 10 Matthew Miller 2005-04-26 11:20:24 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 11 Marius Andreiana 2005-11-02 05:12:48 EST
This is fixed in FC4, closing 

Note You need to log in before you can comment on or make changes to this bug.